Installs: 4

Dependents: 0

Watchers: 1

Open Issues: 2

Language: PHP

1.1.0 2014-04-22 11:48 UTC

README

Build Status Scrutinizer Code Quality HHVM Status Latest Stable Version License

Dependency and Configruation Management Framework inspired by Guice and these two Google Talks:

Benchmark

https://github.com/alwinmark/benchmarking-dependency-injection-containers (currently only Benchmark 1 is implemented)

Install

Install php5-curl

  • on debian/ubuntu: sudo apt-get install php5-curl

To install Puice put this into your composer.json "alwinmark/Puice": "*"

For example:

{
    "require": {
        "alwinmark/puice": "1.0.0"
    },
    "require-dev": {
        "behat/behat": "2.4.*@stable",
        "behat/mink-extension": "*",
        "behat/mink-selenium2-driver": "*",
        "behat/mink-goutte-driver": "*",
        "phpspec/phpspec": "2.0.*@dev"
    },
    "minimum-stability": "dev",
    "config": {
        "bin-dir": "vendor/bin/"
    },
    "autoload": {"psr-0": {"": "src"}}
}

How to use it

If you want to know how to use it, take a look at the feature file.

Maybe you have allready some Kind of Configuration/Injection Framework and you only want to use the Generic Factory Puice is providing. If thats the case, you have to write some Gluecode, that implements the Puice\Config Interface and pass it to the Factory.

Licence

MIT